RaisFastRaisFast

Categories

Categories

GET
/api/v1/categories

Response Body

curl -X GET "https://example.com/api/v1/categories"
Empty
POST
/api/v1/categories

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/categories" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
Empty
DELETE
/api/v1/categories/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Category ID

Response Body

curl -X DELETE "https://example.com/api/v1/categories/string"
Empty
PUT
/api/v1/categories/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Category ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/categories/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty